<?xml version="1.0" encoding="ISO-8859-1"?>
 
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
  <!-- Copy everything not matched by another rule -->
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>
 
 
  <!-- Delete existing levels -->
  <xsl:template match="/island/level"/>
 
 
  <xsl:template match="/island">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
       <!-- change name and map attribute -->
       <xsl:attribute name="name">UNDERSNAKE</xsl:attribute>
       <xsl:attribute name="map">UnderSnake</xsl:attribute>
      <xsl:apply-templates/>
        <!-- add new levels here -->
        <level id="DepthDirection" name="LEVEL_NAME_DEPTHDIRECTION" text="LEVEL_TEXT_DEPTHDIRECTION" cutscene="levelFadeOut,UnderSnakeFall,gooTransition_out" ocd="moves,11"/>
        <level id="SurvivalSupport" depends="DepthDirection" name="LEVEL_NAME_SURVIVALSUPPORT" text="LEVEL_TEXT_SURVIVALSUPPORT" ocd="moves,8"/>
        <level id="AutomaticAscension" depends="SurvivalSupport" name="LEVEL_NAME_AUTOMATICASCENSION" text="LEVEL_TEXT_AUTOMATICASCENSION" ocd="time,70"/>
        <level id="FlyingAndFalling" depends="ClimbingConnection,DangerousDangling" name="LEVEL_NAME_FLYINGANDFALLING" text="LEVEL_TEXT_FLYINGANDFALLING"/>
        <level id="DangerousDangling" depends="UnderSnakeLevel" name="LEVEL_NAME_DANGEROUSDANGLING" text="LEVEL_TEXT_DANGEROUSDANGLING" ocd="moves,1" />
        <level id="StalacstaticSleep" depends="AutomaticAscension" name="LEVEL_NAME_STALACSTATICSLEEP" text="LEVEL_TEXT_STALACSTATICSLEEP" ocd="balls,11"/>
        <level id="ClimbingConnection" depends="StalacstaticSleep" name="LEVEL_NAME_CLIMBINGCONNECTION" text="LEVEL_TEXT_CLIMBINGCONNECTION" ocd="moves,14"/>
        <level id="UnderSnakeLevel" depends="AutomaticAscension" name="LEVEL_NAME_UNDERSNAKELEVEL" text="LEVEL_TEXT_UNDERSNAKELEVEL" ocd="moves,13"/>
        <level id="TremblingTrust" depends="FlyingAndFalling" name="LEVEL_NAME_TREMBLINGTRUST" text="LEVEL_TEXT_TREMBLINGTRUST" ocd="moves,1"/>
        <level id="SecondSuicide" depends="TremblingTrust" name="LEVEL_NAME_SECONDSUICIDE" text="LEVEL_TEXT_SECONDSUICIDE" ocd="moves,9" cutscene="levelFadeOut,UnderSnakeEnd,gooTransition_out" />
 
    </xsl:copy>
  </xsl:template>
</xsl:transform>
